Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 1.4.0.9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.shape
Class mxConnectorShape

    java.lang.Object
      com.mxgraph.shape.mxBasicShape
          com.mxgraph.shape.mxConnectorShape

All Implemented Interfaces:
  mxIShape

Direct Known Subclasses:
  mxCurveShape

    public class mxConnectorShape

extends mxBasicShape

Constructor Summary
`mxConnectorShape()`

Method Summary
`protected mxLine` | `getMarkerVector(List<mxPoint> points, boolean source, double markerSize)` Hook to override creation of the vector that the marker is drawn along since it may not be the same as the vector between any two control points
`boolean` | `isRounded(Map<String,Object> style)`
`mxPoint` | `paintMarker(mxGraphics2DCanvas canvas, List<mxPoint> points, Map<String,Object> style, boolean source)` Draws the marker for the given edge.
`protected void` | `paintPolyline(mxGraphics2DCanvas canvas, List<mxPoint> points, Map<String,Object> style)`
`void` | `paintShape(mxGraphics2DCanvas canvas, mxCellState state)`

Methods inherited from class com.mxgraph.shape.mxBasicShape
`configureGraphics, createShape, getFillColor, getStrokeColor, hasShadow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxConnectorShape

    public mxConnectorShape()

Method Detail

### paintShape

    public void paintShape(mxGraphics2DCanvas canvas,
                           mxCellState state)

  Specified by:
    `paintShape` in interface `mxIShape`
  Overrides:
    `paintShape` in class `mxBasicShape`

### paintPolyline

    protected void paintPolyline(mxGraphics2DCanvas canvas,
                                 List<mxPoint> points,
                                 Map<String,Object> style)

### isRounded

    public boolean isRounded(Map<String,Object> style)

### paintMarker

    public mxPoint paintMarker(mxGraphics2DCanvas canvas,
                               List<mxPoint> points,
                               Map<String,Object> style,
                               boolean source)

  Draws the marker for the given edge.

  Parameters:
    `canvas` -
    `points` -
    `style` -
    `source` -
  Returns:
    the offset of the marker from the end of the line

### getMarkerVector

    protected mxLine getMarkerVector(List<mxPoint> points,
                                     boolean source,
                                     double markerSize)

  Hook to override creation of the vector that the marker is drawn along since it may not be the same as the vector between any two control points

  Parameters:
    `points` - the guide points of the connector
    `source` - whether the marker is at the source end
    `markerSize` - the scaled maximum length of the marker
  Returns:
    a line describing the vector the marker should be drawn along

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 1.4.0.9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.